RC4 readiness and translations.

  • I am currently considering buying a Woltlab forum and several additional applications. An important consideration for me is multilingualism. Unfortunately, the Russian language I need in this project is not included. I am considering the idea of translating it by myself, and in connection with this I have several questions.

    What is the approximate amount of text to be translated? And would it make sense to download and deploy Woltlab 5.2 beta 4 and not 3.1? How stable/unstable is this release candidate? And how problematic upgrade to release could be?

  • Hello,


    The current version is Beta 4 which is neither recommended for production environments nor should they be used as a base for translation. You should wait until the first version RC 1 which is expected to arrive soon, as there will be no more changes to the set of features afterwards. Furthermore update support is only guaranteed starting with the RC versions, previous versions, including the Beta 4, are not guranteed to be updatable.

  • You can use the version 3.1, however, if you plan to use version 5.2, especially considering your attempts at a translation, I strongly suggest to wait a bit for version 5.2.